var util = require('util')
  , Constants = require('jsr-constants')
  , AbstractCommand = require('./zrange');

/**
 *  Handler for the ZREVRANGE command.
 */
function SortedSetReverseRange() {
  AbstractCommand.apply(this, arguments);
}

util.inherits(SortedSetReverseRange, AbstractCommand);

module.exports = new SortedSetReverseRange(Constants.MAP.zrevrange);
