var util = require('util')
  , Constants = require('jsr-constants')
  , AbstractCommand = require('jsr-exec').DatabaseCommand;

/**
 *  Handler for the ZREVRANK command.
 */
function SortedSetReverseRank() {
  AbstractCommand.apply(this, arguments);
}

util.inherits(SortedSetReverseRank, AbstractCommand);

module.exports = new SortedSetReverseRank(Constants.MAP.zrevrank);
