var util = require('util')
  , Constants = require('jsr-constants')
  , AbstractCommand = require('jsr-exec').Command;

/**
 *  Handler for the SUBSCRIBE command.
 */
function Subscribe() {
  AbstractCommand.apply(this, arguments);
}

util.inherits(Subscribe, AbstractCommand);

/**
 *  Respond to the SUBSCRIBE command.
 */
function execute(req, res) {
  this.state.pubsub.subscribe(req.conn, req.args);
}

Subscribe.prototype.execute = execute;

module.exports = new Subscribe(Constants.MAP.subscribe);
