var util = require('util')
  , Constants = require('jsr-constants')
  , StoreError = require('jsr-error')
  , CommandArgLength = StoreError.CommandArgLength
  , ScriptManager = require('jsr-script').ScriptManager
  , AbstractCommand = require('jsr-exec').Command;

/**
 *  Handler for the EVAL command.
 */
function Eval() {
  AbstractCommand.apply(this, arguments);
}

util.inherits(Eval, AbstractCommand);

/**
 *  Respond to the EVAL command.
 */
function execute(req, res) {
  ScriptManager.eval(req, res, '' + req.args[0], req.args.slice(1));
}

Eval.prototype.execute = execute;

module.exports = new Eval(Constants.MAP.eval);
