var util = require('util')
  , Constants = require('jsr-constants')
  , AbstractCommand = require('jsr-exec').Command;

/**
 *  Handler for the FLUSHALL command.
 */
function FlushAll() {
  AbstractCommand.apply(this, arguments);
}

util.inherits(FlushAll, AbstractCommand);

/**
 *  Respond to the FLUSHALL command.
 */
function execute(req, res) {
  // TODO: ensure a conflict is triggered on all watched keys
  this.store.flushall();
  res.send(null, Constants.OK);
}

FlushAll.prototype.execute = execute;

module.exports = new FlushAll(Constants.MAP.flushall);
