var util = require('util')
  , Constants = require('jsr-constants')
  , AbstractCommand = require('jsr-exec').Command;

/**
 *  Handler for the MONITOR command.
 */
function Monitor() {
  AbstractCommand.apply(this, arguments);
}

util.inherits(Monitor, AbstractCommand);

/**
 *  Respond to the MONITOR command.
 */
function execute(req, res) {
  req.conn.monitor(this);
  res.send(null, Constants.OK);
}

Monitor.prototype.execute = execute;

module.exports = new Monitor(Constants.MAP.monitor);
