var util = require('util')
  , Constants = require('jsr-constants')
  , AbstractCommand = require('jsr-exec').Command;

/**
 *  Handler for the AUTH command.
 */
function Auth() {
  AbstractCommand.apply(this, arguments);
}

util.inherits(Auth, AbstractCommand);

/**
 *  Respond to the AUTH command.
 */
function execute(req, res) {
  res.send(null, Constants.OK);
}

Auth.prototype.execute = execute;

module.exports = new Auth(Constants.MAP.auth);
