var util = require('util')
  , Constants = require('jsr-constants')
  , AbstractCommand = require('jsr-exec').Command;

/**
 *  Handler for the ECHO command.
 */
function Echo() {
  AbstractCommand.apply(this, arguments);
}

util.inherits(Echo, AbstractCommand);

/**
 *  Respond to the ECHO command.
 */
function execute(req, res) {
  res.send(null, req.args[0]);
}

Echo.prototype.execute = execute;

module.exports = new Echo(Constants.MAP.echo);
