var util = require('util')
  , Constants = require('jsr-constants')
  , AbstractCommand = require('jsr-exec').Command;

/**
 *  Handler for the QUIT command.
 */
function Quit() {
  AbstractCommand.apply(this, arguments);
}

util.inherits(Quit, AbstractCommand);

/**
 *  Respond to the QUIT command.
 */
function execute(req, res) {
  req.conn.end();
}

Quit.prototype.execute = execute;

module.exports = new Quit(Constants.MAP.quit);
