var util = require('util')
  , Constants = require('jsr-constants')
  , AbstractCommand = require('jsr-exec').Command;

/**
 *  Handler for the INFO command.
 */
function Info() {
  AbstractCommand.apply(this, arguments);
}

util.inherits(Info, AbstractCommand);

/**
 *  Respond to the INFO command.
 */
function execute(req, res) {
  res.send(null, this.info.toString(req.args[0] ? '' + req.args[0] : null));
}

Info.prototype.execute = execute;

module.exports = new Info(Constants.MAP.info);
